#
# spec file for package avm_fcdsl (Version 2.6)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         avm_fcdsl
URL:          http://www.avm.de
Version:      2.6
Release:      20.7
License:      Commercial, Other License(s), see package
Group:        Hardware/ISDN
Provides:     fdslbase.bin drdsl
Autoreqprov:  on
Summary:      Driver and Utilities for Fritz!Card DSL
Source:       suse_fcdsl.tar.bz2
Source1:      fcdsl-20040323.tar.gz
Source2:      fcdsl2-20040315.tar.bz2
Source3:      fcdslsl-20040315.tar.bz2
Source4:      fcdslusb-20040326.tar.bz2
Source5:      fcdslslusb-20040326.tar.bz2
#Source1:      ftp://ftp.avm.de/cardware/fritzcrd.dsl/linux/suse.82/fcdsl-suse8.2-03.11.02.tar.gz
#Source2:      ftp://ftp.avm.de/cardware/fritzcrd.dsl_usb/linux/suse.82/fcdslusb-suse8.2-03.11.02.tar.gz
#Source3:      fcdsl2-suse8.2-03.11.03.tar.bz2
#Source4:      fcdslsl-suse8.2-03.11.02.tar.bz2
Source6:      fcdsl-common.tar.bz2
#Patch:        fcdsl-fix.diff
Patch1:       uml-fix.diff
Patch2:       fcdsl_initdata.diff
Patch3:       usb_interface_claimed.diff
Patch4:       usb_interface_claimed_sl.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       /bin/cat

%description
This package contains drivers and utilities for the Fritz!Card DSL from
AVM for SuSE Linux.

This driver only works on ix86 architecture machines.



Authors:
--------
    AVM GmbH

%package -n km_fcdsl
Summary:      Kernel Module Sub-Package for avm_fcdsl
Group:        Hardware/ISDN

%description -n km_fcdsl
Kernel module sub-package for avm_fcdsl. It is needed for building the
driver during the kernel build.



Authors:
--------
    AVM

%prep
%setup -c -n avm_fcdsl
%setup -n avm_fcdsl/fritz.dsl -c -T -a 1
%setup -n avm_fcdsl/fritz.dsl2 -c -T -a 2
%setup -n avm_fcdsl/fritz.dslsl -c -T -a 3
%setup -n avm_fcdsl/fritz.dslusb -c -T -a 4
%patch3
%setup -n avm_fcdsl/fritz.dslslusb -c -T -a 5
%patch4
%setup -n avm_fcdsl/common -c -T -a 6
%setup -T -D -n avm_fcdsl
#cd fritz.dsl
#%patch
#cd ../fritz.dsl2
#%patch2 -p0
#cd ../fritz.dslsl/fritz.dslsl
#%patch2 -p1
#cd ../../
#%patch
#cd ../../fcdsl.v20/fritz
#%patch
#cd ../../fcdsl.sl/fritz
#%patch

%build
#make -C fcdsl.pci/fritz clean
cat suse_fcdsl/Makefile.addon >> fritz.dsl/fritz.dsl/src/Makefile
cat suse_fcdsl/Makefile.addon >> fritz.dsl2/fritz.dsl2/src/Makefile
cat suse_fcdsl/Makefile.addon >> fritz.dslsl/fritz.dslsl/src/Makefile
cat suse_fcdsl/Makefile.addon >> fritz.dslusb/fritz.dslusb/src/Makefile
cat suse_fcdsl/Makefile.addon >> fritz.dslslusb/fritz.dslslusb/src/Makefile

%install
rm -f -r $RPM_BUILD_ROOT
# km_fcdsl
DESTDIR=$RPM_BUILD_ROOT/usr/src/kernel-modules/fcdsl
mkdir -p $DESTDIR/src/lib
cp -p suse_fcdsl/Makefile $DESTDIR/
cp -a fritz.dsl/fritz.dsl/src $DESTDIR/src/src.fcdsl
cp -a fritz.dsl/fritz.dsl/lib $DESTDIR/src
cp -a fritz.dsl2/fritz.dsl2/src $DESTDIR/src/src.fcdsl2
cp -a fritz.dsl2/fritz.dsl2/lib $DESTDIR/src
cp -a fritz.dslsl/fritz.dslsl/src $DESTDIR/src/src.fcdslsl
cp -a fritz.dslsl/fritz.dslsl/lib $DESTDIR/src
cp -a fritz.dslusb/fritz.dslusb/src $DESTDIR/src/src.fcdslusb
cp -a fritz.dslusb/fritz.dslusb/lib $DESTDIR/src
cp -a fritz.dslslusb/fritz.dslslusb/src $DESTDIR/src/src.fcdslslusb
cp -a fritz.dslslusb/fritz.dslslusb/lib $DESTDIR/src
chown -R root:root $DESTDIR/*
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
cp -p suse_fcdsl/capi-adsl $RPM_BUILD_ROOT/etc/ppp/peers
chown root:dialout $RPM_BUILD_ROOT/etc/ppp/peers/capi-adsl
chmod 644 $RPM_BUILD_ROOT/etc/ppp/peers/capi-adsl
# remaining
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/etc/drdsl
install -d $RPM_BUILD_ROOT/usr/lib/isdn
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/example
#
install -m 644 fritz.dsl/fritz.dsl/fdslbase.bin $RPM_BUILD_ROOT/usr/lib/isdn
install -m 644 fritz.dsl2/fritz.dsl2/fds2base.bin $RPM_BUILD_ROOT/usr/lib/isdn
install -m 644 fritz.dslsl/fritz.dslsl/fdssbase.bin $RPM_BUILD_ROOT/usr/lib/isdn
install -m 644 fritz.dslslusb/fritz.dslslusb/fdlubase.frm $RPM_BUILD_ROOT/usr/lib/isdn
install -m 644 fritz.dslusb/fritz.dslusb/fdsubase.frm $RPM_BUILD_ROOT/usr/lib/isdn
install -m 644 common/fritz/drdsl.ini $RPM_BUILD_ROOT/etc/drdsl
install -m 755 common/fritz/drdsl $RPM_BUILD_ROOT/usr/sbin
# docu
#install -m 644 fcdsl.usb/fritz/install_passive-d.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
#install -m 644 fcdsl.usb/fritz/install_passive-e.html $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -m 644 common/fritz/Logo_CAPI4Linux.jpg $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -m 644 common/fritz/compile-help-english.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -m 644 common/fritz/compile-help-german.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -m 644 common//fritz/license.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -m 644 common/fritz/CAPI20_Errormessages.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
#
install -m 644 suse_fcdsl/README.SuSE $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
# examles
install -m 644 suse_fcdsl/cfg-contr0 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/example
install -m 644 suse_fcdsl/capi.conf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/example
install -m 750 suse_fcdsl/fcdsl $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/example
patch -p0 -d $DESTDIR < %_sourcedir/uml-fix.diff
patch -p0 -d $DESTDIR < %_sourcedir/fcdsl_initdata.diff

%clean

%files
%dir %attr (-,root,root) /etc/drdsl
%dir %attr (-,root,root) /usr/lib/isdn
%dir %attr (-,root,root) /etc/ppp/peers
%doc %{_defaultdocdir}/%{name}
/etc/drdsl/*
/usr/sbin/drdsl
/usr/lib/isdn/*
/etc/ppp/peers/capi-adsl

%files -n km_fcdsl
%dir %attr (-,root,root) /usr/src/kernel-modules
%dir %attr (-,root,root) /usr/src/kernel-modules/fcdsl
%attr (-,root,root) /usr/src/kernel-modules/fcdsl/*

%changelog -n avm_fcdsl
* Wed Jun 23 2004 - kkeil@suse.de
- one item in the usb_interface_claimed_sl.diff was lost
* Sun Jun 20 2004 - kkeil@suse.de
- fix "Interface already claimed" error on USB cards (#42181)
* Mon May 03 2004 - kkeil@suse.de
- fix OOPS if a driver is already loaded and a new controller is
  found; device tables are not __initdata (#36262)
* Mon Mar 29 2004 - kkeil@suse.de
- new version from AVM for USB
* Tue Mar 23 2004 - kkeil@suse.de
- new regparm fix for Fritz!Card DSL
* Mon Mar 22 2004 - kkeil@suse.de
- new version from AVM
* Mon Mar 15 2004 - kkeil@suse.de
- new version from AVM
* Tue Mar 09 2004 - agruen@suse.de
- Fix for kernel-uml.
* Mon Mar 08 2004 - kkeil@suse.de
- first version for kernel 2.6
* Mon Sep 08 2003 - kkeil@suse.de
- updated from AVM for FRITZ!Card DSL v2.0
* Mon Aug 25 2003 - kkeil@suse.de
- updated to offical release for FRITZ!Card DSL SL
* Thu Aug 14 2003 - kkeil@suse.de
- add support for FRITZ!Card DSL v2.0 and FRITZ!Card DSL SL
* Mon Jul 28 2003 - kkeil@suse.de
- fix chown syntax
* Wed Jul 09 2003 - kkeil@suse.de
- driver update from AVM to 03.11.02 including fix for #25838
* Fri Jun 13 2003 - kkeil@suse.de
- fix filelist
* Fri Feb 28 2003 - kkeil@suse.de
- driver update from AVM with driver for the Fritz!Card DSL USB
* Fri Feb 07 2003 - kkeil@suse.de
- readd missing license.bin
* Fri Jan 31 2003 - kkeil@suse.de
- update to current 8.1 version
* Wed Nov 06 2002 - kkeil@suse.de
- new firmware version from AVM
- updated README.SuSE
* Wed Oct 30 2002 - olh@suse.de
- use INSTALL_MOD_PATH instead of DESTDIR in Makefile.module
* Wed Aug 28 2002 - kkeil@suse.de
- remove unwanted debug output (#18494)
* Fri Aug 16 2002 - kkeil@suse.de
- add PreReq: /bin/cat
* Tue Aug 06 2002 - kkeil@suse.de
- add /etc/ppp/peers/capi-adsl for kinternet
* Wed Jul 17 2002 - kkeil@suse.de
- kernel_source not longer needed
* Mon Jul 15 2002 - kkeil@suse.de
- build km_fcdsl subpackage
* Tue Jul 09 2002 - kkeil@suse.de
- first version
